<!--
  ~ EVS Client is part of the Gazelle Test Bed
  ~ Copyright (C) 2006-2016 IHE
  ~ mailto :eric DOT poiseau AT inria DOT fr
  ~
  ~ See the NOTICE file distributed with this work for additional information
  ~ regarding copyright ownership.  This code is licensed
  ~ to you under the Apache License, Version 2.0 (the
  ~ "License"); you may not use this file except in compliance
  ~ with the License.  You may obtain a copy of the License at
  ~
  ~   http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing,
  ~ software distributed under the License is distributed on an
  ~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  ~ KIND, either express or implied.  See the License for the
  ~ specific language governing permissions and limitations
  ~ under the License.
  -->

<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle"
                xmlns:rich="http://richfaces.org/rich"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:c="http://java.sun.com/jstl/core"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns="http://www.w3.org/1999/xhtml">
    <!-- parameters: -->
    <!--    <ui:param name="reporter" value="#{validationResultBeanGui.reporter}"/>-->
    <s:div styleClass="row" rendered="#{reporter.validationReport == null}">
        <s:div styleClass="col-md-9">
            <h:outputText value="#{messages['net.ihe.gazelle.evs.NotAvailable']}"/>
        </s:div>
    </s:div>
    <s:div rendered="#{reporter.validationReport != null}">

        <!-- overview counters -->
        <s:div rendered="#{not reporter.isUndefined(reporter.validationReport.validationOverview.validationOverallResult)}">
        <dl class="dl-horizontal">
            <dt><h:outputText value="#{messages['gazelle.evs.client.validationCounters']}"/></dt>
            <dd>
            <ui:decorate template="/common/_counters.xhtml">
                <ui:param name="counters" value="#{reporter.validationReport.counters}"/>
            </ui:decorate>
            </dd>
        </dl>
        </s:div>

        <!-- sub reports panels -->
        <ui:repeat var="sub" value="#{reporter.validationReport.subReports}">
            <ui:decorate template="/common/_subReport.xhtml">
                <ui:param name="gui" value="#{reporter}"/>
                <ui:param name="sub" value="#{sub}"/>
                <ui:param name="prettyView" value="#{prettyView}"/>
                <ui:param name="enableEyeNavigator" value="#{validationResultBeanGui.eyeNavigatorEnabled()}"/>
            </ui:decorate>
        </ui:repeat>
    </s:div>
</ui:composition>